## stocks.tar.bz2

=== Makefile ===

program = portal-stocks
dest = $(program)
tarball_dir = tarball
dest = $(tarball_dir)/$(program)
tanker ?= 1

doc:
	make -C doc

test:
	runtests.sh

clean:
	make -C doc clean
	find . -name "*.pyc" -delete
	rm -f *.png
	rm -rf debian/yandex-stocks3
	rm -f debian/yandex-stocks3.debhelper.log
	rm -f debian/yandex-stocks3.substvars
	rm -f debian/files
	rm -fr $(tarball_dir)

cleandata:
	rm -rf data/xml*
	rm -rf data/export
	rm -rf data/morda*
	rm -rf data/regions.xml

install:
	sudo chown --reference=Makefile -R ./
	find . -name "*.pyc" -delete
	mkdir -p $(dest)
	cp -r config libs catalog fonts runners s3*.py stocks3 tmpl plotter tests stocks3t $(dest)
	cp import.py export.py $(dest)
	cp -r lg.sh $(dest)
	cp -r samsung.sh $(dest)
	mkdir -p $(dest)/data
	cd $(dest) && ln -s export.py stocks_export.py
	cd $(dest) && ln -s import.py stocks_import.py
ifeq ($(tanker),1)
	tanker/download-from-production.sh $(dest)/data
endif

debuild-nosign:
	debuild --no-tgz-check -us -uc -b

debuild:
	debuild

debsign:
	debsign -m "$(USER)@yandex-team.ru" ../yandex-stocks3_*_amd64.changes

debclean:
	rm ../yandex-stocks3_*

dupload:
	dupload --to morda-trusty ../yandex-stocks3_*_amd64.changes

deploy:
	sudo dpkg -i `ls -1 -r ../yandex-stocks3_*_all.deb | head -n 1`

fixdev:
	sudo cp config/db.dev.xml /opt/www/stocks3/config/db.xml
	sudo cp config/db.dev.xml config/db.xml
	sudo cp config/config.dev.json config/config.json
	sudo cp config/config.dev.json /opt/www/stocks3/config/config.json
	sudo cp ./cron.d/stocks3-write /etc/cron.d/

fixrelease:
	sudo cp config/db.production.xml config/db.xml
	sudo cp config/config.production.json config/config.json

package:
	make clean cleandata fixrelease debuild-nosign debsign deploy dupload debclean fixdev

sm:
	git submodule update --init --recursive
release: sm
	submodules/gitrelease/make_release.pl --user=$(USER)
bugfix: sm
	submodules/gitrelease/make_bugfix.pl --user=$(USER)

packages=libcairo2-dev libjpeg-dev libgif-dev

build-deps:
	sudo apt-get -qq update && sudo apt-get install python3-venv python3-dev python3-wheel pkg-config libxml2-utils -y
	sudo apt-get install -y $(packages)

.PHONY: tarball tarball_data clean cleandata
tarball_data: tarball
tarball: build-deps
	echo 'Making tarball'
	mkdir -p $(dest)
	find . -name "*.pyc" -delete
	cp -r catalog cloud config libs fonts runners stocks3 stocks3t tmpl plotter tests juggler $(dest)
	cp -r tools $(dest)
	cp import.py export.py planner.py s3csvindex.py $(dest)
	cp venvrun.sh planner.sh planner-status.sh samsung.sh lg.sh $(dest)
	python3 -m venv $(dest)
	. $(dest)/bin/activate; python3 -m pip install --upgrade pip==20.3.4 wheel
	. $(dest)/bin/activate; python3 -m pip install -Ur requirements.txt -i https://pypi.yandex-team.ru/simple
ifeq ($(tanker),1)
	. $(dest)/bin/activate; ./tanker/download-from-production.sh $(dest)/data
endif

config/config.json:
	ya vault get version --compact ver-01g2d40rf7tzn40rqapthgz4p9 -o config.json > config/config.json

config/tanker.token:
	ya vault get version --compact ver-01g2d40rf7tzn40rqapthgz4p9 -o tanker_token > config/tanker.token

config/tvm.secret:
	ya vault get version --compact ver-01g2d40rf7tzn40rqapthgz4p9 -o tvm_client_secret > config/tvm.secret

config: config/config.json config/tanker.token config/tvm.secret

=== requirements.txt ===
six
lxml
pymongo
requests
pystache
Pillow
pytz
tvmauth
yandex-yt

=== doc/Makefile ===
all:
	epydoc -v --config api.conf

clean:
	rm -rf apidocs

=== debian/changelog ===
yandex-stocks3 (2021.06.17-0) unstable; urgency=low
  * f9205f22cd209d8c6435242e2df960c030c4b71b | Evgeny Bogdanov <evbogdanov@yandex-team.ru> | Thu Jun 17 00:28:46 2021 +0300
      HOME-71214: [stocks] закрылся доступ в API обновления котировок YNDX
 --  <buildfarm@yandex-team.ru>  Thu, 17 Jun 2021 00:28:06 +0300

yandex-stocks3 (2021.06.16-2) unstable; urgency=low
  * a361f38d09be02bd47c681f91fb4e85a9ee30573 | Evgeny Bogdanov <evbogdanov@yandex-team.ru> | Wed Jun 16 23:36:48 2021 +0300
      HOME-71214: [stocks] закрылся доступ в API обновления котировок YNDX
 --  <buildfarm@yandex-team.ru>  Wed, 16 Jun 2021 23:36:10 +0300

yandex-stocks3 (2021.06.16-1) unstable; urgency=low
  * d3ae3f079ef7262fcc1e03f8b01237b49e5cc0a9 | Evgeny Bogdanov <evbogdanov@yandex-team.ru> | Wed Jun 16 22:50:53 2021 +0300
      HOME-71214: [stocks] закрылся доступ в API обновления котировок YNDX
 --  <buildfarm@yandex-team.ru>  Wed, 16 Jun 2021 22:50:35 +0300

yandex-stocks3 (2021.06.16-0) unstable; urgency=low
  * 2e5cd4bf162592edd5e35d9e78ab3782ecd680b2 | Evgeny Bogdanov <evbogdanov@yandex-team.ru> | Wed Jun 16 22:24:59 2021 +0300
      HOME-71214: [stocks] закрылся доступ в API обновления котировок YNDX
 --  <buildfarm@yandex-team.ru>  Wed, 16 Jun 2021 22:27:26 +0300

yandex-stocks3 (2021.06.03-0) unstable; urgency=low
  * 567fe2a18e10d1096aca33335d7017f5f323ed6c | Evgeny Bogdanov <evbogdanov@yandex-team.ru> | Thu Jun 3 15:44:54 2021 +0300
      HOME-70873: [stocks] починить работу с геобазой
 --  <buildfarm@yandex-team.ru>  Thu, 03 Jun 2021 15:44:37 +0300

yandex-stocks3 (2021.02.14-1) unstable; urgency=low
  * 5ac0fc9488a689d508b449fec89c45c964c99f5f | Evgeny Bogdanov <evbogdanov@yandex-team.ru> | Sun Feb 14 15:14:50 2021 +0300
      HOME-0 fix pip version
 --  <buildfarm@yandex-team.ru>  Sun, 14 Feb 2021 15:15:02 +0300

yandex-stocks3 (2021.02.14-0) unstable; urgency=low
  * 01970f8b5efb995ddfae348a3668cb24382cd39f | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Sun Feb 14 14:54:55 2021 +0300
      HOME-68277: поправить обработку праздников в котировках - не импортировать предсказанные курсы ЦБ в праздники
 --  <buildfarm@yandex-team.ru>  Sun, 14 Feb 2021 14:54:33 +0300

yandex-stocks3 (2020.12.03-0) unstable; urgency=low
  * 9d338adc6ab6604512e5de86085809eb35185c7f | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Thu Dec 3 21:00:36 2020 +0300
      HOME-66646: использовать внутреннюю ферму календаря для проверки на праздники
 --  <buildfarm@yandex-team.ru>  Thu, 03 Dec 2020 21:01:02 +0300

yandex-stocks3 (2020.11.24-0) unstable; urgency=low
  * 44f7956415740e1f0efade0d7c43ff3b2b7519ad | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Tue Nov 24 14:57:10 2020 +0300
      HOME-66646: использовать внутреннюю ферму календаря для проверки на праздники
 --  <buildfarm@yandex-team.ru>  Tue, 24 Nov 2020 14:57:40 +0300

yandex-stocks3 (2020.09.21-1) unstable; urgency=low
  * 83c1700a69134358c0a961fa6859af43632395fc | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Mon Sep 21 10:55:32 2020 +0300
      HOME-64835: Заканчивается срок действия сертификата на beeline-stocks.yandex.net
 --  <buildfarm@yandex-team.ru>  Mon, 21 Sep 2020 10:55:05 +0300

yandex-stocks3 (2020.09.21-0) unstable; urgency=low
  * 666994bea94cc7a5d22abbf22d6e83729c70d7db | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Mon Sep 21 10:03:33 2020 +0300
      HOME-64835: Заканчивается срок действия сертификата на beeline-stocks.yandex.net
 --  <buildfarm@yandex-team.ru>  Mon, 21 Sep 2020 10:03:04 +0300

yandex-stocks3 (2020.08.18-0) unstable; urgency=low
  * a52a16f6440825ed4dc316a51f464277f7b82acb | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Tue Aug 18 10:54:11 2020 +0300
      HOME-64386: Не обновляются данные индекса NASDAQ
 --  <buildfarm@yandex-team.ru>  Tue, 18 Aug 2020 10:54:23 +0300

yandex-stocks3 (2020.06.23-1) unstable; urgency=low
  * f132821c4e0110b55dbcecd9f3f3989955fbf9f7 | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Tue Jun 23 21:38:33 2020 +0300
      HOME-62208: Перевезти котировки в YP. мониторинг
 --  <buildfarm@yandex-team.ru>  Tue, 23 Jun 2020 21:38:28 +0300

yandex-stocks3 (2020.06.23-0) unstable; urgency=low
  * 81be6da2a70db1e4eb6a57b5a76667c66b748f70 | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Wed May 6 10:35:09 2020 +0300
      dev fix
  * 4c5d954c7b28170ee511099a0b028f379636810c | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Tue May 26 14:26:04 2020 +0300
      HOME-62208: Перевезти котировки в YP
  * c5b89456ab56f5e8068499bb62700a266318a56f | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Mon Jun 1 23:22:16 2020 +0300
      HOME-62208: Перевезти котировки в YP. мониторинг
  * 5a047d521645b94b38b283c031fd8ff0a6d79675 | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Tue Jun 2 13:12:07 2020 +0300
      HOME-62208: Перевезти котировки в YP
  * c0e2600dd91d5a4687b0e816225122b2a5fa1ee7 | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Tue Jun 2 13:29:43 2020 +0300
      HOME-62208: Перевезти котировки в YP. мониторинг
  * e16904ed4c47e582a480f7942ec846aa0b87d911 | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Tue Jun 2 13:53:07 2020 +0300
      HOME-62208: Перевезти котировки в YP. мониторинг
  * 60bc951e67900547eebf57900bda1777da6a7a83 | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Tue Jun 2 14:29:11 2020 +0300
      HOME-62208: Перевезти котировки в YP. мониторинг
  * 89f3caeeaece3afea531ce7812581e2c6516b597 | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Tue Jun 2 15:55:05 2020 +0300
      HOME-62208: Перевезти котировки в YP. мониторинг
  * 7d5bd7d4f08513e16380af6dad41ea75a06e37e5 | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Tue Jun 2 19:13:34 2020 +0300
      HOME-62208: Перевезти котировки в YP. мониторинг
  * 713cab79bad28bcf5ee888c048dee10a57ebf787 | Evgeniy I. Bogdanov <evbogdanov@yandex-team.ru> | Fri Jun 5 19:07:37 2020 +0300
      HOME-62208: Перевезти котировки в YP. мониторинг


=== debian/control ===
Source: yandex-stocks3
Section: misc
Priority: optional
Maintainer: Alexey Zasimov <zasimov-a@yandex-team.ru>
Build-Depends: debhelper (>= 7),
 python3 (>= 3.4.0),
 python3-lxml (= 3.3.3-1ubuntu0.1),
 curl,
 libxml2-utils
Standards-Version: 3.8.3
Homepage: http://wiki.yandex-team.ru/AlekseyZasimov/stocks3
Vcs-Git: git://git.yandex.ru/morda/stocks3

Package: yandex-stocks3
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 ca-certificates (>=20160104ubuntu0.14.04.1),
 python3 (>= 3.4.0),
 python3-imaging (>= 2.3.0),
 python3-pystache,
 python3-lxml (= 3.3.3-1ubuntu0.1),
 python3-cairo,
 python3-requests,
 python3-tz (>= 2012c-1build1),
 imagemagick (>= 8:6.7.7.10-6ubuntu3),
 python3-pymongo(>= 2.6.2)
Description: Stocks3 - quotes import and export.
 Stocks3 - application for import and export quotes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include $(CURDIR)/stocks3.mk

pkg = yandex-stocks3
dest = $(CURDIR)/debian/$(pkg)$(prefix)
usrprefix = $(CURDIR)/debian/$(pkg)/usr/local

override_dh_usrlocal:

build:
	dh_testdir
	git submodule update --init submodules/planner
	# Конфиг нужен для запуска тестов
	cp -r submodules/planner/cron libs/planner/
	cp submodules/planner/config.*.json libs/planner/
	cp submodules/planner/config.py libs/planner/
	cp submodules/planner/planner.py libs/planner/

install/yandex-stocks3::
	mkdir -p $(dest) 
	make -f $(CURDIR)/Makefile prefix=$(dest) usrprefix=$(usrprefix) install
